org.wildfly.swarm.microprofile.openapi.api.models.links

## Class LinkImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.links.LinkImpl

- All Implemented Interfaces:
    ModelImpl

      public class LinkImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Link` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Link` | `addParameter(String name, Object parameter)`
    `Link` | `description(String description)`
    `String` | `getDescription()`
    `String` | `getOperationId()`
    `String` | `getOperationRef()`
    `Map<String,Object>` | `getParameters()`
    `String` | `getRef()`
    `Object` | `getRequestBody()`
    `Server` | `getServer()`
    `Link` | `operationId(String operationId)`
    `Link` | `operationRef(String operationRef)`
    `Link` | `parameters(Map<String,Object> parameters)`
    `Link` | `ref(String ref)`
    `Link` | `requestBody(Object requestBody)`
    `Link` | `server(Server server)`
    `void` | `setDescription(String description)`
    `void` | `setOperationId(String operationId)`
    `void` | `setOperationRef(String operationRef)`
    `void` | `setParameters(Map<String,Object> parameters)`
    `void` | `setRef(String ref)`
    `void` | `setRequestBody(Object requestBody)`
    `void` | `setServer(Server server)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkImpl

          public LinkImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public Link ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getServer

          public Server getServer()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getServer()`

    - #### setServer

          public void setServer(Server server)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setServer(org.eclipse.microprofile.openapi.models.servers.Server)`

    - #### server

          public Link server(Server server)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#server(org.eclipse.microprofile.openapi.models.servers.Server)`

    - #### getOperationRef

          public String getOperationRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getOperationRef()`

    - #### setOperationRef

          public void setOperationRef(String operationRef)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setOperationRef(java.lang.String)`

    - #### operationRef

          public Link operationRef(String operationRef)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#operationRef(java.lang.String)`

    - #### getRequestBody

          public Object getRequestBody()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getRequestBody()`

    - #### setRequestBody

          public void setRequestBody(Object requestBody)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setRequestBody(java.lang.Object)`

    - #### requestBody

          public Link requestBody(Object requestBody)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#requestBody(java.lang.Object)`

    - #### getOperationId

          public String getOperationId()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getOperationId()`

    - #### setOperationId

          public void setOperationId(String operationId)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setOperationId(java.lang.String)`

    - #### operationId

          public Link operationId(String operationId)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#operationId(java.lang.String)`

    - #### getParameters

          public Map<String,Object> getParameters()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getParameters()`

    - #### setParameters

          public void setParameters(Map<String,Object> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setParameters(java.util.Map)`

    - #### parameters

          public Link parameters(Map<String,Object> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#parameters(java.util.Map)`

    - #### addParameter

          public Link addParameter(String name,
                                   Object parameter)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#addParameter(java.lang.String, java.lang.Object)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#setDescription(java.lang.String)`

    - #### description

          public Link description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.links.Link#description(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.